> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet



## OpenAPI

````yaml openapi.json post /wallet
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /wallet:
    parameters: []
    post:
      tags:
        - Wallet
      summary: Create Wallet
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                tier:
                  type: integer
                name:
                  type: string
                dateOfBirth:
                  type: string
                  format: date
                phoneNumber:
                  type: integer
                email:
                  type: string
                  format: email
                bvn:
                  type: integer
                nin:
                  type: integer
                address:
                  type: string
                city:
                  type: string
                lga:
                  type: string
                state:
                  type: string
                proofOfAddress:
                  type: string
                  format: binary
              required:
                - tier
                - name
                - dateOfBirth
                - phoneNumber
                - email
                - bvn
                - nin
                - address
                - city
                - lga
                - state
                - proofOfAddress
            example:
              tier: 1
              name: Tomato
              dateOfBirth: '1994-08-16'
              phoneNumber: 2348106813750
              email: pos01@mailinator.com
              bvn: 75734274973
              nin: 12223387557
              address: 30 ojikutu street heritage estate aboru
              city: Lagos
              lga: Agege
              state: Lagos
              proofOfAddress: path-to-file-uploaf
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '275'
            ETag:
              schema:
                type: string
              example: W/"113-Me43iZu0deuHLex0TkY0auVru0k"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Thu, 04 Jul 2024 21:05:03 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Create Wallet - TIER 1
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      tier:
                        type: integer
                      status:
                        type: string
                      accountName:
                        type: string
                      bookedBalance:
                        type: integer
                      availableBalance:
                        type: integer
                      bankName:
                        type: string
                      bankCode:
                        type: string
                        format: color
                      accountNumber:
                        type: string
                        format: utc-millisec
                      createdAt:
                        type: string
                        format: date-time
              example:
                status: true
                message: Wallet successfully created.
                data:
                  id: 316e5684-5623-4df7-861c-8d2bb7972e9f
                  tier: 1
                  status: ACTIVE
                  accountName: Ogundeko Ridwan
                  bookedBalance: 0
                  availableBalance: 0
                  bankName: Xpress Wallet
                  bankCode: '999270'
                  accountNumber: '4464992028'
                  createdAt: '2024-07-15T14:19:52.258Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````